# Create permissions

Add a new permission.

Provide the permission information in the request body.

This route does not associate permissions with roles. Use the associate permission to roles route to manage role associations.

Endpoint: POST /resources/permissions/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `key` (string, required)

  - `name` (string, required)

  - `description` (string)

  - `categoryId` (string)

  - `assignmentType` (string)
    Enum: "NEVER", "ALWAYS", "ASSIGNABLE"

## Response 201 fields (application/json):

  - `id` (string, required)

  - `key` (string, required)

  - `name` (string, required)

  - `description` (string, required)

  - `createdAt` (string, required)

  - `updatedAt` (string, required)

  - `roleIds` (array, required)

  - `categoryId` (string, required)

  - `fePermission` (boolean, required)

